- Qt 5.5
- Qt3D Module
- C++ Classes
- QBackendNode
- Qt 5.5.1 Reference Documentation

# QBackendNode Class

(Qt3D::QBackendNode)

- List of all members, including inherited members

## Public Types

enum | Mode { ReadOnly, ReadWrite }

## Public Functions

| QBackendNode(Mode mode = ReadOnly)
virtual | ~QBackendNode()
Mode | mode() const
QNodeId | peerUuid() const
void | setFactory(const QBackendNodeFactory * factory)
void | setPeer(QNode * peer)
virtual void | updateFromPeer(QNode * peer) = 0

## Protected Functions

QBackendNode * | createBackendNode(QNode * frontend) const
void | notifyObservers(const QSceneChangePtr & e)
virtual void | sceneChangeEvent(const QSceneChangePtr & e) = 0

## Member Type Documentation

### enum QBackendNode::Mode

## Member Function Documentation

### QBackendNode::QBackendNode(Mode mode = ReadOnly)

### `[virtual]` QBackendNode::~QBackendNode()

### `[protected]` QBackendNode * QBackendNode::createBackendNode(QNode * frontend) const

### Mode QBackendNode::mode() const

### `[protected]` void QBackendNode::notifyObservers(const QSceneChangePtr & e)

### QNodeId QBackendNode::peerUuid() const

### `[pure virtual protected]` void QBackendNode::sceneChangeEvent(const QSceneChangePtr & e)

### void QBackendNode::setFactory(const QBackendNodeFactory * factory)

### void QBackendNode::setPeer(QNode * peer)

### `[pure virtual]` void QBackendNode::updateFromPeer(QNode * peer)